## org.springframework.jndi
Class JndiLookupFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.jndi.JndiLookupFailureException

All Implemented Interfaces:
  Serializable

    public class JndiLookupFailureException

extends NestedRuntimeException

RuntimeException to be thrown in case of JNDI lookup failures, in particular from code that does not declare JNDI's checked `NamingException`: for example, from Spring's `JndiObjectTargetSource`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`JndiLookupFailureException(String msg, NamingException cause)` Construct a new JndiLookupFailureException, wrapping the given JNDI NamingException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JndiLookupFailureException

    public JndiLookupFailureException(String msg,
                                      NamingException cause)

  Construct a new JndiLookupFailureException, wrapping the given JNDI NamingException.

  Parameters:
    `msg` - the detail message
    `cause` - the NamingException root cause

Copyright © 2002-2008 The Spring Framework.